Subject: Re: [Raw] Use Cases review (was RAW WG post-IETF 112 update)

From: CARLOS JESUS BERNARDOS CANO <[email-masked]>
Date: Fri, 4 Feb 2022 19:35:37 +0100

Hi,

Thanks Fabrice and Pascal. I've posted a new version including your edits
and comments, and also the review that Corinna performed.

Thanks a lot!

Carlos

On Tue, Jan 25, 2022 at 2:35 PM Fabrice Theoleyre <[email-masked]>
wrote:

> Dear Carlos, Pascal,
>
> I also proceed to minor edits (see <!— FT: comments in the xml). I pushed
> my modifications to the git repository.
>
> https://github.com/raw-wg/raw-use-cases/commit/b0dbfe071bcde3da3e2bbe877e0b582899dee51a#diff-9db2c630f212f81e3579fdb54278af3012ab9df6167099df914a416b2c31b291
>
> Cheers,
> Fabrice
>
>
>
>
> Le 18 janv. 2022 à 11:27, CARLOS JESUS BERNARDOS CANO <[email-masked]> a
> écrit :
>
> Dear Pascal,
>
> Thanks a lot for your review! I'll take a look together with the other
> comments we have to address and post a new version.
>
> Carlos
>
> On Mon, Jan 17, 2022 at 11:59 AM Pascal Thubert (pthubert) <
> [email-masked]> wrote:
>
>> Dear Carlos (editor) and all,
>>
>> Maybe it went slightly unnoticed, but Eve's message below was a last call
>> for the technologies and the use cases drafts.
>>
>> As co-author I took the liberty to do minor edits during this review, see
>> the diff links at the end of the mail; I also took the liberty to move the
>> editor to the first position in the author list, if that's OK?
>>
>> Please find below my bigger comments for the use cases draft:
>>
>> --------------------
>> In the introduction:
>>
>> "
>>
>>    Deterministic Networking in the IP world is an attempt to eliminate
>>    packet loss for a committed bandwidth while ensuring a worst case
>>    end-to-end latency, regardless of the network conditions and across
>>    technologies.
>>
>> "
>>
>> Maybe text " in the IP world " could insist on what L3 can really do
>> (e.g., service layer, steering over multi technology, and media independent
>> signaling) and explain that the high reliability, precise time delivery,
>> and rate enforcement leverage lower layer capabilities?
>>
>> -------------
>> In section 5 (pro-audio)
>>
>> "
>> The devices need the wireless communication to support video streaming via
>> 802.11 wireless LAN for instance.
>> "
>>
>> Could be elaborated; lots of mobility in live events, simpler deployment
>> ...
>>
>> --------------
>> In section 6 (gaming)
>>
>>
>> "
>> Time-aware shaping. This capability (defined in IEEE 802.1Qbv) consists
>> of gates
>> to control the opening/closing of queues that share a common egress port
>> within
>> an Ethernet switch. A scheduler defines the times when each queue opens or
>> close, therefore eliminating congestion and ensuring that frames are
>> delivered
>> within the expected latency bounds.
>> "
>>
>> This shows as a requirement for RAW though it is really signaled by
>> RAW/DetNet but served by the lower later. Clarify?
>>
>>
>> -------------
>> In section 7
>>
>> " UAV and V2V platooning and control"
>>
>> The section mostly talks about UAV though autonomous cars may be another
>> compelling example.
>>
>>
>> ------------
>>
>> References: My understanding is that the technologies draft could be
>> normative. This means that reading it is very important to understand the
>> uses cases. I believe that's the case.
>>
>>
>> -----------
>>
>> Voila!
>>
>> The small edits I made are visible here:
>>
>>
>> https://github.com/raw-wg/raw-use-cases/commit/f4179f3a7fe4554a4dacf3603560d79b7f06faf4
>>
>>
>> https://github.com/raw-wg/raw-use-cases/commit/c3d0aebcc13d0b390c5e46007d14b2912b9b200a
>>
>>
>> https://github.com/raw-wg/raw-use-cases/commit/5b75c0d6579d22e04ec0711bf8602d89696457f2
>>
>>
>> All the best,
>>
>> Pascal
>>
>>
>> > -----Original Message-----
>> > From: RAW <[email-masked]> On Behalf Of Schooler, Eve M
>> > Sent: lundi 20 décembre 2021 20:04
>> > To: [email-masked]
>> > Cc: [email-masked]
>> > Subject: [Raw] RAW WG post-IETF 112 update
>> >
>> > Hi All,
>> >
>> > Just to let you know we published minutes for the IETF 112, and here is
>> a
>> > link for your enjoyment to peruse:
>> >
>> https://datatracker.ietf.org/meeting/112/materials/minutes-112-raw-01.html
>> .
>> >
>> > A summary of the key take-aways:
>> >   - The chairs have officially updated milestones for the key documents,
>> > notably several WGLCs upcoming (see below).
>> >   - The authors have split the architecture/framework document into
>> separate
>> > architecture and framework docs
>> >        -  the chairs are exploring options for regular meetings to make
>> > forward progress on these docs
>> >   - For the technologies doc:
>> >        - Rocco and Dave and possibly Janos to please review the
>> references to
>> > technologies in other SDOs, clarifying the references' maturation
>> levels.
>> >        - WGLC starting now
>> >   - Pascal has requested review of the IPv6 Options for DetNet document.
>> >   - Use cases doc  - WGLC starting now
>> >   - LDACS - remains in IESG review and we await review by other Areas
>> >
>> > Please consider this e-mail the official WGLC notice ending Jan 31,
>> 2022 for
>> > the following documents:
>> >   - Technologies
>> >   - as:>
>> > Happiest of Holidays!
>> > Rick & Eve
>> >
>> >
>> > Eve M. Schooler, PhD
>> > Principal Engineer & Director
>> > Intel | CSO & IoTG | Emerging IoT Networks
>> > 2200 Mission College Blvd., Santa Clara, CA, USA  95054
>> > +1 650.868.7369
>> >
>> > --
>> > RAW mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/raw
>>
> --
> RAW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/raw
>
>
>